/* This is "newton2.c", written to accompany Introduction to
   Scientific Programming by Joseph L. Zachary. */

/* This program is an incomplete implementation and a test
   driver for Newton's method as described in Chapter 14 of
   the text. */


#include <stdio.h>
#include <math.h>



/* This is x^4 + 2x^3 - 14x^2 + 2x + 1, whose root we seek. */

double f (double x)
{
  return(1 + x*(2 + x*(-14 + x*(2 + x))));
}



/* This is 4x^3 + 6x^2 - 28x + 2, which is the first
   derivative of f. */

double fprime (double x)
{
  return(2 + x*(-28 + x*(6 + x*4)));
}



/* This is an incomplete implementation of Newton's method.
   It improves the guess "g0" for the root of "f" exactly
   five times and returns the result.  It is missing a
   convergence test that controls the number of times the
   guess is improved. */

double newton (double g0)
{
    double g1, g2, g3, g4, g5;   /* The results of the five */
                                 /* successive improvements. */

    g1 = g0 - f(g0)/fprime(g0);
    g2 = g1 - f(g1)/fprime(g1);
    g3 = g2 - f(g2)/fprime(g2);
    g4 = g3 - f(g3)/fprime(g3);
    g5 = g4 - f(g4)/fprime(g4);

    return(g5);
}



/* A test driver that uses "newton" to find a root of "f"
   given a guess read from the keyboard. */

void main (void)
{
  double guess, root;
  printf("Please enter an initial guess: ");
  scanf("%lf", &guess);
  root = newton(guess);
  printf("An approximate root is %.10g\n", root);
  printf("f(approximate root) is %.10g\n", f(root));
}
