{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 27{COM_R 2 0{TEXT 1 122 "This worksheet co
ntains the Maple commands from Chapter 15 of Introduction to Scie
ntific Programming by Joseph L. Zachary."}}{SEP_R 3 0}{COM_R 4 0
{TEXT 1 101 "\015(15.2)  This formula gives the cross section of \+
the corrugated steel sheet discussed in Chapter 15.\015"}}{INP_R 
5 0 "> "{TEXT 0 25 "f := 10 * sin(Pi*x/10)^2;"}}{SEP_R 6 0}{COM_R
 7 0{TEXT 1 66 "\015(15.3)  This is the first derivative of the f
ormula from (15.2).\015"}}{INP_R 8 0 "> "{TEXT 0 21 "fprime := di
ff(f, x);"}}{SEP_R 9 0}{COM_R 10 0{TEXT 1 65 "\015(15.10)  The \"
int\" function will evaluate indefinite integrals.\015"}}{INP_R 
11 0 "> "{TEXT 0 17 "int(sin(x)+2, x);"}}{SEP_R 12 0}{COM_R 13 0
{TEXT 1 111 "\015(15.11)  It will also evaluate definite integral
s, if a range is associated with the variable of integration.\015
"}}{INP_R 14 0 "> "{TEXT 0 26 "int(sin(x)+2, x=0.0..8.0);"}}
{SEP_R 15 0}{COM_R 16 0{TEXT 1 119 "\015(15.12)  The \"int\" func
tion works symbolically, and it will sometimes fail to evaluate a
n integral, as in this case. \015"}}{INP_R 17 0 "> "{TEXT 0 33 "i
nt(sqrt(1 + fprime^2), x=0..10);"}}{SEP_R 18 0}{COM_R 19 0{TEXT 1
 121 "\012(15.13)  This combination of \"evalf\" and \"Int\" caus
es Maple to evaluate definite integrals using a numerical techniq
ue.\015"}}{INP_R 20 0 "> "{TEXT 0 40 "evalf(Int(sqrt(1 + fprime^2
), x=0..10));"}}{SEP_R 21 0}{COM_R 22 0{TEXT 1 281 "\015(15.14)  \+
We use the \"integration\" package to animate the convergence of \+
the rectangular method as it deals with the function sin(x) betwe
en 0 and 8.  It generates 5 frames.  In the first frame 2 rectang
les are used, and in each subsequent frame the number of rectrang
les doubles.\015"}}{INP_R 23 0 "> "{TEXT 0 64 "with(integration):
\012animateRectangular((x) -> sin(x)+2, 0, 8, 5);"}}{SEP_R 24 0}
{COM_R 25 0{TEXT 1 281 "\015(15.20)  We use the \"integration\" p
ackage to animate the convergence of the trapezoidal method as it
 deals with the function sin(x) between 0 and 8.  It generates 5 \+
frames.  In the first frame 2 trapezoids are used, and in each su
bsequent frame the number of trapezoids doubles. \015"}}{INP_R 26
 0 "> "{TEXT 0 64 "with(integration):\012animateTrapezoidal((x) -
> sin(x)+2, 0, 8, 5);"}}{SEP_R 27 0}{INP_R 28 0 "> "{TEXT 0 0 ""}
}}{END}
