{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 36{COM_R 2 0{TEXT 1 121 "This worksheet co
ntains the Maple commands from Chapter 3 of Introduction to Scien
tific Programming by Joseph L. Zachary."}}{SEP_R 3 0}{COM_R 4 0
{TEXT 1 114 "\015(3.4)  This calculates the circumference of the \+
earth in kilometers, beginning from Eratosthenes's measurements.\
015"}}{INP_R 5 0 "> "{TEXT 0 27 "360 / 7.2 * 5000. * 0.1575;"}}
{SEP_R 6 0}{COM_R 7 0{TEXT 1 127 "\015(3.5)  We can save the valu
e of the expression from (3.4) into the variable \"circumference\
" by using an assignment statement.\015"}}{INP_R 8 0 "> "{TEXT 0 
44 "circumference := 360 / 7.2 * 5000. * 0.1575;"}}{SEP_R 9 0}
{COM_R 10 0{TEXT 1 167 "\015(3.6)  Now that we have given \"circu
mference\" a floating-point value, we can use it as if it were a \+
floating-point number.  We can, for example, determine its value.
\015"}}{INP_R 11 0 "> "{TEXT 0 14 "circumference;"}}{SEP_R 12 0}
{COM_R 13 0{TEXT 1 67 "\015(3.7)  We can also use its value in mo
re complicated expressions.\015"}}{INP_R 14 0 "> "{TEXT 0 36 "dia
meter := circumference / 3.14159;"}}{SEP_R 15 0}{COM_R 16 0{TEXT 
1 119 "\015(3.8)  Here we recompute \"circumference\" using paren
theses to explicitly group the operands and operators from (3.5).
\015"}}{INP_R 17 0 "> "{TEXT 0 48 "circumference := (360 / 7.2) *
 (5000. * 0.1575);"}}{SEP_R 18 0}{COM_R 19 0{TEXT 1 175 "\015(3.9
)  The \"Digits\" variable is consulted by Maple to determine how
 many digits to use in the mantissas of floating-point numbers.  \+
Its value can be modified via assignment.\015"}}{INP_R 20 0 "> "
{TEXT 0 12 "Digits := 4;"}}{SEP_R 21 0}{COM_R 22 0{TEXT 1 172 "\0
15(3.10)  Now when we repeat the calculation from (3.5), we obtai
n a four-digit result.  (Maple adds the trailing zero so that the
 magnitude of the result will be correct.)\015"}}{INP_R 23 0 "> "
{TEXT 0 48 "four_digit_circum := 360 / 7.2 * 5000. * 0.1575;"}}
{SEP_R 24 0}{COM_R 25 0{TEXT 1 80 "\015(3.11)  We can also obtain
 a four-digit approximation to the earth's diameter.\015"}}{INP_R
 26 0 "> "{TEXT 0 47 "four_digit_diameter := four_digit_circum / \+
3.1;"}}{SEP_R 27 0}{COM_R 28 0{TEXT 1 42 "\015Let's set the manti
ssa size back to ten.\015"}}{INP_R 29 0 "> "{TEXT 0 13 "Digits :=
 10;"}}{SEP_R 30 0}{COM_R 31 0{TEXT 1 384 "\015(3.12)  This is pa
rt of an interval arithmetic computation.  We use the smallest po
ssible value (7.15) for the angle measured by Eratosthenes, the l
argest possible value (5050) for the distance from Alexandria to \+
Cyrene, and the largest possible value for the conversion factor \+
from stadia to kilometers.  This gives us the largest possible va
lue for the circumference of the earth.\015"}}{INP_R 32 0 "> "
{TEXT 0 31 "(360 / 7.15) * 5050. * 0.15755;"}}{SEP_R 33 0}{COM_R 
34 0{TEXT 1 138 "\015(3.13)  We compute the smallest possible val
ue for the circumference of the earth by perturbing the measureme
nts in the other direction.\015"}}{INP_R 35 0 "> "{TEXT 0 31 "(36
0 / 7.25) * 4950. * 0.15745;"}}{SEP_R 36 0}{INP_R 37 0 "> "{TEXT 
0 0 ""}}}{END}
