{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 120{COM_R 2 0{TEXT 1 121 "This worksheet c
ontains the Maple commands from Chapter 6 of Introduction to Scie
ntific Programming by Joseph L. Zachary."}}{SEP_R 3 0}{COM_R 4 0
{TEXT 1 133 "\015(6.1)  Let's calculate the effect of 6% simple i
nterest over a period of three years.  In the beginning we have a
 balance of $1000.\015"}}{INP_R 5 0 "> "{TEXT 0 15 "year0 := 1000
.;"}}{SEP_R 6 0}{COM_R 7 0{TEXT 1 68 "\015(6.2)  After a year pas
ses we have 6% more than the previous year.\015"}}{INP_R 8 0 "> "
{TEXT 0 29 "year1 := year0 + year0 * .06;"}}{SEP_R 9 0}{COM_R 10 
0{TEXT 1 74 "\015(6.3)  After another year passes we have 6% more
 than the previous year.\015"}}{INP_R 11 0 "> "{TEXT 0 29 "year2 \+
:= year1 + year1 * .06;"}}{SEP_R 12 0}{COM_R 13 0{TEXT 1 74 "\015
(6.4)  After a third year passes we have 6% more than the previou
s year.\015"}}{INP_R 14 0 "> "{TEXT 0 29 "year3 := year2 + year2 \+
* .06;"}}{SEP_R 15 0}{COM_R 16 0{TEXT 1 118 "\015(6.5)  Let's rep
eat (6.1) through (6.4) using symbols instead of numbers.  In the
 beginning we have a balance of $P.\015"}}{INP_R 17 0 "> "{TEXT 0
 11 "year0 := P;"}}{SEP_R 18 0}{COM_R 19 0{TEXT 1 79 "\015(6.6)  \+
After a year passes we have a factor of R more than the previous \+
year.\015"}}{INP_R 20 0 "> "{TEXT 0 27 "year1 := year0 + year0 * \+
R;"}}{SEP_R 21 0}{COM_R 22 0{TEXT 1 85 "\015(6.7)  After another \+
year passes we have a factor of R more than the previous year.\01
5"}}{INP_R 23 0 "> "{TEXT 0 27 "year2 := year1 + year1 * R;"}}
{SEP_R 24 0}{COM_R 25 0{TEXT 1 85 "\015(6.8)  After a third year \+
passes we have a factor of R more than the previous year.\015"}}
{INP_R 26 0 "> "{TEXT 0 27 "year3 := year2 + year2 * R;"}}{SEP_R 
27 0}{COM_R 28 0{TEXT 1 164 "\015(6.9)  Let's do some algebraic m
anipulations on the exprssion from (6.8) to try and discover a pa
ttern.  We can \"expand\" it, which distributes products over sum
s.\015"}}{INP_R 29 0 "> "{TEXT 0 14 "expand(year3);"}}{SEP_R 30 0
}{COM_R 31 0{TEXT 1 57 "\015(6.10)  We can also \"factor\" it.  T
his looks promising.\015"}}{INP_R 32 0 "> "{TEXT 0 14 "factor(yea
r3);"}}{SEP_R 33 0}{COM_R 34 0{TEXT 1 90 "\015(6.11)  Let's follo
w this up by factoring \"year2\".  This appears to confirm the pa
ttern.\015"}}{INP_R 35 0 "> "{TEXT 0 14 "factor(year2);"}}{SEP_R 
36 0}{COM_R 37 0{TEXT 1 69 "\015(6.12)  Let's factor the balance \+
that would exist after four years.\015"}}{INP_R 38 0 "> "{TEXT 0 
26 "factor(year3 + year3 * R);"}}{SEP_R 39 0}{COM_R 40 0{TEXT 1 
251 "\015(6.14)  Based on the pattern that we uncovered in (6.10)
 through (6.12), let's create a programmer-defined function \"sim
ple\".  It takes an initial balance \"P\", an interest rate \"R\"
, and a number of years \"n\", and returns the balance after \"n\
" years.\015"}}{INP_R 41 0 "> "{TEXT 0 33 "simple := (P,R,n) -> P
 * (R+1)^n;"}}{SEP_R 42 0}{COM_R 43 0{TEXT 1 123 "\015(6.15)  We \+
can use \"simple\" to calculate the balance that will result by i
nvesting $1000 at 6% interest for 500 years ...\015"}}{INP_R 44 0
 "> "{TEXT 0 23 "simple(1000, .06, 500);"}}{SEP_R 45 0}{COM_R 46 
0{TEXT 1 90 "\015(6.16) ... and the balance that will result by i
nvesting $B at 10% interest for 8 years.\015"}}{INP_R 47 0 "> "
{TEXT 0 18 "simple(B, .10, 8);"}}{SEP_R 48 0}{COM_R 49 0{TEXT 1 
88 "\015We record the population of the United States on January \+
1, 1994, and January 1, 1995.\015"}}{INP_R 50 0 "> "{TEXT 0 37 "j
an94 := 259167e3;\012jan95 := 261638e3;"}}{SEP_R 51 0}{COM_R 52 0
{TEXT 1 174 "\015(6.17)  If the population of the United States w
ere growing according to a simple interest model, \"simpleGrowth\
" would be the annual interest rate at which it grew in 1994.\015
"}}{INP_R 53 0 "> "{TEXT 0 40 "simpleGrowth := (jan95 - jan94) / \+
jan94;"}}{SEP_R 54 0}{COM_R 55 0{TEXT 1 144 "\015(6.18)  By apply
ing the simple interest model to the population growth of the Uni
ted States, we can project the population on January 1, 2000.\015
"}}{INP_R 56 0 "> "{TEXT 0 31 "simple(jan94, simpleGrowth, 6);"}}
{SEP_R 57 0}{COM_R 58 0{TEXT 1 194 "\015(6.19)  We can use the si
mple interest model to calculate compound interest.  Here we calc
ulate the result of investing $1000 at 6% annual interest, compou
nded daily, for a period of one year.\015"}}{INP_R 59 0 "> "{TEXT
 0 28 "simple(1000., .06/365, 365);"}}{SEP_R 60 0}{COM_R 61 0
{TEXT 1 155 "\015(6.20)  Here we repeat (6.19) symbolically.  We \+
calculate the result of investing $P at R% annual interest, compo
unded daily, for a period of one year.  \015"}}{INP_R 62 0 "> "
{TEXT 0 22 "simple(P, R/365, 365);"}}{SEP_R 63 0}{COM_R 64 0{TEXT
 1 151 "\015(6.21)  We continue to generalize.  Here, we calculat
e the result of investing $P at R% annual interest, compounded da
ily, for a period of \"n\" years.\015"}}{INP_R 65 0 "> "{TEXT 0 
24 "simple(P, R/365, 365*n);"}}{SEP_R 66 0}{COM_R 67 0{TEXT 1 199
 "\015(6.22)  Finally, we calculate the result of investing $P at
 R% annual interest, compounded \"m\" times per year, for a perio
d of \"n\" years.  This gives us a general expression for compoun
d interest. \015"}}{INP_R 68 0 "> "{TEXT 0 20 "simple(P, R/m, m*n
);"}}{SEP_R 69 0}{COM_R 70 0{TEXT 1 330 "\015(6.23)  We convert t
he expression from (6.22) into a \"compound\" function.  It takes
 as parameters an initial balance \"P\", an interest rate \"R\", \+
a period of years \"n\", and the number of compounding intervals \+
per year \"m\".  It returns the result of investing $P at R% annu
al interest, compounded \"m\" times per year, for \"n\" years.\01
5"}}{INP_R 71 0 "> "{TEXT 0 45 "compound := (P,R,n,m) -> P * (R/m
 + 1)^(m*n);"}}{SEP_R 72 0}{COM_R 73 0{TEXT 1 126 "\015(6.24)  We
 use \"compound\" to calculate the result of investing $1000 at 6
% annual interest, compounded daily, for 500 years.\015"}}{INP_R 
74 0 "> "{TEXT 0 30 "compound(1000, .06, 500, 365);"}}{SEP_R 75 0
}{COM_R 76 0{TEXT 1 120 "\015(6.26)  We use \"solve\" to find fin
d the simple interest rate \"R\" that corresponds to a 6% investm
ent compounded daily.\015"}}{INP_R 77 0 "> "{TEXT 0 53 "solve(sim
ple(P, R, 1) = compound(P, .06, 1, 365), R);"}}{SEP_R 78 0}{COM_R
 79 0{TEXT 1 276 "\015(6.27)  We try to use \"solve\" to find an \+
interest rate \"R\" that we can use to model the growth of the po
pulation of the United States in 1994, under the assumption that \+
the growth occurs daily.  Unfortunately, \"solve\" is unable to s
olve the 365th-degree polynomial equation.\015"}}{INP_R 80 0 "> "
{TEXT 0 62 "solve(simple(P, simpleGrowth, 1) = compound(P, R, 1, \+
365), R);"}}{SEP_R 81 0}{COM_R 82 0{TEXT 1 161 "\015(6.30)  We fi
nd the limit of a compound interest investment as the number of c
ompounding intervals tends to infinity.  This is the continuous i
nterest formula.\015"}}{INP_R 83 0 "> "{TEXT 0 40 "limit(compound
(P, R, n, m), m=infinity);"}}{SEP_R 84 0}{COM_R 85 0{TEXT 1 282 "
\015(6.31)  We use the expression from (6.30) to create a functio
n called \"continuous\".  It takes as parameters an initial balan
ce \"P\", an interest rate \"R\", and a number of years \"n\", an
d returns the balance that will result from investing $P at R% co
ntinuous interest for \"n\" years.\015"}}{INP_R 86 0 "> "{TEXT 0 
36 "continuous := (P,R,n) -> P*exp(n*R);"}}{SEP_R 87 0}{COM_R 88 
0{TEXT 1 192 "\015(6.32)  We use \"solve\" to find the continuous
 interest rate \"R\" that will allow us to model the growth of th
e population of the United States during 1994 as a problem in con
tinuous interest.\015"}}{INP_R 89 0 "> "{TEXT 0 79 "continuousGro
wth := solve(simple(P, simpleGrowth, 1) = continuous(P, R, 1), R)
;"}}{SEP_R 90 0}{COM_R 91 0{TEXT 1 368 "\015(6.33)  We use the re
sult of (6.32) to create a function \"dailyPop\" that takes \"day
s\" as its parameter.  It returns the population of the United St
ates \"days\" days after January 1, 1994, assuming that the popul
ation grows according to the continuous interest model.  Notice t
hat this function is defined in terms of another programmer-defin
ed function, \"continuous\".\015"}}{INP_R 92 0 "> "{TEXT 0 69 "da
ilyPop := (days) -> continuous(jan94, continuousGrowth, days/365.
);"}}{SEP_R 93 0}{COM_R 94 0{TEXT 1 107 "\015(6.34)  We use \"dai
lyPop\" to project the population of the United States at midnigh
t on February 1, 1994.\015"}}{INP_R 95 0 "> "{TEXT 0 13 "dailyPop
(31);"}}{SEP_R 96 0}{COM_R 97 0{TEXT 1 106 "\015(6.35)  We use \"
dailyPop\" to project the population of the United States at 6:00
 am on February 1, 1994.\015"}}{INP_R 98 0 "> "{TEXT 0 16 "dailyP
op(31.25);"}}{SEP_R 99 0}{COM_R 100 0{TEXT 1 106 "\015(6.36)  We \+
use \"dailyPop\" to project the population of the United States a
t midnight on January 3, 1994.\015"}}{INP_R 101 0 "> "{TEXT 0 12 
"dailyPop(2);"}}{SEP_R 102 0}{COM_R 103 0{TEXT 1 115 "\015(6.37) \+
 This is how we would have to do the calculation from (6.36) if w
e hadn't defined the \"dailyPop\" function.\015"}}{INP_R 104 0 ">
 "{TEXT 0 39 "259167000 * exp(2/365 * .009489227532);"}}{SEP_R 
105 0}{COM_R 106 0{TEXT 1 106 "\015(6.38)  Once a variable has be
en given a value via assignment, it cannot be used as a symbolic \+
constant.\015"}}{INP_R 107 0 "> "{TEXT 0 40 "solve(simpleGrowth^2
 = 5, simpleGrowth);"}}{SEP_R 108 0}{COM_R 109 0{TEXT 1 85 "\015(
6.39)  We can \"unassign\" a variable by assigning it to a quoted
 version of itself.\015"}}{INP_R 110 0 "> "{TEXT 0 31 "simpleGrow
th := 'simpleGrowth';"}}{SEP_R 111 0}{COM_R 112 0{TEXT 1 100 "\01
5(6.40)  Once a variable has been \"unassigned\", it can be used \+
as a symbolic constant once again.  \015"}}{INP_R 113 0 "> "{TEXT
 0 40 "solve(simpleGrowth^2 = 5, simpleGrowth);"}}{SEP_R 114 0}
{COM_R 115 0{TEXT 1 54 "\015(6.42)  An example of the use of the \+
\"sum\" function.\015"}}{INP_R 116 0 "> "{TEXT 0 19 "sum(n^2, n=1
..100);"}}{SEP_R 117 0}{COM_R 118 0{TEXT 1 99 "\015(6.43)  An exa
mple of using the \"sum\" function to compute a sum over an infin
ite number of terms.\015"}}{INP_R 119 0 "> "{TEXT 0 26 "sum(1/2^n
, n=1..infinity);"}}{SEP_R 120 0}{INP_R 121 0 "> "{TEXT 0 0 ""}}}
{END}
