{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 105{COM_R 2 0{TEXT 1 121 "This worksheet c
ontains the Maple commands from Chapter 8 of Introduction to Scie
ntific Programming by Joseph L. Zachary."}}{SEP_R 3 0}{COM_R 4 0
{TEXT 1 90 "\015(8.1)  We record the mass, maximum power output, \+
and drag coefficient for the destroyer.\015"}}{INP_R 5 0 "> "
{TEXT 0 46 "mass := 4.5e6;\012maxPower := 5e6;\012drag := 5.5e3;"
}}{SEP_R 6 0}{COM_R 7 0{TEXT 1 176 "\015(8.2)  We define a symbol
ic expression that gives the position of the destroyer in terms o
f \"t\".  We will be ignoring the effects of drag in the first pa
rt of this worksheet.\015"}}{INP_R 8 0 "> "{TEXT 0 18 "pos := .03
2 * t^2;"}}{SEP_R 9 0}{COM_R 10 0{TEXT 1 74 "\015(8.3)  We plot t
he position of the destroyer when it is near the origin.\015"}}
{INP_R 11 0 "> "{TEXT 0 126 "plot(pos, t=-100..100,\012          \+
labels=[`time (seconds)`, `position (meters)`],\012          titl
e=`Position of the destroyer`);"}}{SEP_R 12 0}{COM_R 13 0{TEXT 1 
66 "\015(8.4)  We plot the position of the destroyer for positive
 times.\015"}}{INP_R 14 0 "> "{TEXT 0 123 "plot(pos, t=0..200,\01
2          labels=[`time (seconds)`, `position (meters)`],\012   \+
       title=`Position of the destroyer`);"}}{SEP_R 15 0}{COM_R 
16 0{TEXT 1 75 "\015(8.6)  The velocity of the destroyer is the f
irst derivative of position.\015"}}{INP_R 17 0 "> "{TEXT 0 20 "ve
l := diff(pos, t);"}}{SEP_R 18 0}{COM_R 19 0{TEXT 1 79 "\015(8.7)
  The acceleration of the destroyer is the first derivative of ve
locity.\015"}}{INP_R 20 0 "> "{TEXT 0 20 "acc := diff(vel, t);"}}
{SEP_R 21 0}{COM_R 22 0{TEXT 1 111 "\015(8.8)  The force required
 to move the destroyer along its trajectory is the product of mas
s and acceleration.\015"}}{INP_R 23 0 "> "{TEXT 0 20 "force := ma
ss * acc;"}}{SEP_R 24 0}{COM_R 25 0{TEXT 1 108 "\015(8.9)  The po
wer required to move the destroyer along its trajectory is the pr
oduct of force and velocity.\015"}}{INP_R 26 0 "> "{TEXT 0 19 "po
w := force * vel;"}}{SEP_R 27 0}{COM_R 28 0{TEXT 1 90 "\015(8.10)
  We plot the power required to move the destroyer when it is clo
se to the origin.\015"}}{INP_R 29 0 "> "{TEXT 0 157 "plot(pow/1e6
, t=-100..100,\012            labels=[`time (seconds)`,  `power (
megawatts)`],\012            title=`Power required for trajectory
 .032*t^2, no drag`);"}}{SEP_R 30 0}{COM_R 31 0{TEXT 1 112 "\015(
8.11)  We plot the absolute value of the power required to move t
he destroyer when it is close to the origin.\015"}}{INP_R 32 0 ">
 "{TEXT 0 172 "plot(abs(pow)/1e6, t=-100..100,\012           labe
ls=[`time(seconds)`,  `power (megawatts)`],\012           title=`
Magnitude of power required for trajectory .032*t^2, no drag`);"}
}{SEP_R 33 0}{COM_R 34 0{TEXT 1 111 "\015(8.12)  We use \"solve\"
 to find the two times at which the maximum power capacity of the
 destroyer is reached.\015"}}{INP_R 35 0 "> "{TEXT 0 43 "threshol
d := solve(abs(pow) = maxPower, t);"}}{SEP_R 36 0}{COM_R 37 0
{TEXT 1 61 "\015(8.13)  The solution to (8.12) is a sequence of t
wo values.\015"}}{INP_R 38 0 "> "{TEXT 0 10 "threshold;"}}{SEP_R 
39 0}{COM_R 40 0{TEXT 1 158 "\015(8.14)  We calculate the speed o
f the destroyer when it is at the first power threshold.  We extr
act the first value of the sequence by subscripting with 1.\015"}
}{INP_R 41 0 "> "{TEXT 0 20 ".064 * threshold[1];"}}{SEP_R 42 0}
{COM_R 43 0{TEXT 1 159 "\015(8.15)  We calculte the speed of the \+
destroyer when it is at the second power threshold.  We extract t
he second value of the sequence by subscripting with 2.\015"}}
{INP_R 44 0 "> "{TEXT 0 20 ".064 * threshold[2];"}}{SEP_R 45 0}
{COM_R 46 0{TEXT 1 83 "\015(8.16)  We use \"subs\" to substitute \+
a value for \"t\" into the velocity expression.\015"}}{INP_R 47 0
 "> "{TEXT 0 28 "subs(t = threshold[1], vel);"}}{SEP_R 48 0}
{COM_R 49 0{TEXT 1 386 "\015(8.17)  We create a function \"makePo
wer\" to calculate the power required, in the absence of drag, at
 any point of time along an arbitrary trajectory.  Here, \"pos\" \+
is the trajectory expression (which must be a symbolic expression
 in \"t\") and \"mass\" is the mass of the destroyer.  In the bod
y of the function, we use the \"diff\" function to determine velo
city and acceleration functions.\015"}}{INP_R 50 0 "> "{TEXT 0 69
 "makePower := (pos, mass) -> mass * diff(diff(pos,t),t) * diff(p
os,t);"}}{SEP_R 51 0}{COM_R 52 0{TEXT 1 138 "\015(8.18)  We use \
"makePower\" to calculate the power required to follow trajectory
 \"pos\".  As expected, we get the same result as in (8.9).\015"}
}{INP_R 53 0 "> "{TEXT 0 28 "pow := makePower(pos, mass);"}}
{SEP_R 54 0}{COM_R 55 0{TEXT 1 79 "\015(8.19)  We calculate power
 expressions corresponding to two new trajectories.\015"}}{INP_R 
56 0 "> "{TEXT 0 73 "pow1 := makePower(.016 * t^2, mass);\012pow2
 := makePower(.002 * t^2, mass);"}}{SEP_R 57 0}{COM_R 58 0{TEXT 1
 102 "\015(8.20)  We find the times at which power threshold is r
eached for the first of the new trajectories.\015"}}{INP_R 59 0 "
> "{TEXT 0 45 "threshold1 := solve(abs(pow1) = maxPower, t);"}}
{SEP_R 60 0}{COM_R 61 0{TEXT 1 113 "\015(8.21)  We find the veloc
ity corresponding to the first power threshold for the first of t
he new trajectories. \015"}}{INP_R 62 0 "> "{TEXT 0 43 "subs(t = \+
threshold1[1], diff(.016*t^2, t));"}}{SEP_R 63 0}{COM_R 64 0{TEXT
 1 103 "\015(8.22)  We find the times at which power threshold is
 reached for the second of the new trajectories.\015"}}{INP_R 65 
0 "> "{TEXT 0 31 "solve(abs(pow2) = maxPower, t);"}}{SEP_R 66 0}
{COM_R 67 0{TEXT 1 103 "\015(8.23)  We find the power required to
 follow a constant-velocity trajectory (in the absence of drag).\
015"}}{INP_R 68 0 "> "{TEXT 0 21 "makePower(v*t, mass);"}}{SEP_R 
69 0}{COM_R 70 0{TEXT 1 301 "\015(8.24)  This function computes t
he power expression for a destroyer of the given \"mass\" and \"d
rag\" coefficient that is following the trajectory \"pos\" (where
 \"pos\" must be a symbolic expression in \"t\").  For the remain
der of this worksheet, we will consider the effects of drag on po
wer requirements.\015"}}{INP_R 71 0 "> "{TEXT 0 108 "makePowerDra
g := (pos, mass, drag) ->\012      (mass * diff(diff(pos,t),t) + \+
drag * diff(pos,t)) * diff(pos,t);"}}{SEP_R 72 0}{COM_R 73 0{TEXT
 1 105 "\015(8.25)  We calculate a power expression for a destroy
er following our original trajectory of .032*t^2. \015"}}{INP_R 
74 0 "> "{TEXT 0 38 "pow := makePowerDrag(pos, mass, drag);"}}
{SEP_R 75 0}{COM_R 76 0{TEXT 1 61 "\015(8.26)  We plot the power \+
consumption calculated in (8.25).\015"}}{INP_R 77 0 "> "{TEXT 0 
156 "plot(pow/1e6, t=-100..100,\012           labels=[`time (seco
nds)`, `power (megawatts)`],\012           title=`Power required \+
for trajectory .032*t^2, with drag`);"}}{SEP_R 78 0}{COM_R 79 0
{TEXT 1 114 "\015(8.27)  We find the power in watts required at t
imes 100 and -100 seconds when following the tajectory .032*t^2.\
015"}}{INP_R 80 0 "> "{TEXT 0 50 "abs(subs(t = 100, pow));\012abs
(subs(t = -100, pow));"}}{SEP_R 81 0}{COM_R 82 0{TEXT 1 111 "\015
(8.28) We plot the power consumption calculated in (8.25) over a \+
different time range than we used in (8.26).\015"}}{INP_R 83 0 ">
 "{TEXT 0 156 "plot(pow/1e6, t=-1000..200,\012           labels=[
`time (seconds)`, `power(megawatts)`],\012           title=`Power
 required for trajectory .032*t^2, with drag`);"}}{SEP_R 84 0}
{COM_R 85 0{TEXT 1 115 "\015(8.29)  We determine the times at whi
ch the power threshold is reached when following the trajectory f
rom (8.25).\015"}}{INP_R 86 0 "> "{TEXT 0 25 "solve(pow = maxPowe
r, t);"}}{SEP_R 87 0}{COM_R 88 0{TEXT 1 109 "\015(8.30)  We deter
mine the power required to follow a constant-velocity trajectory \+
(in the presence of drag).\015"}}{INP_R 89 0 "> "{TEXT 0 48 "cons
tantPower := makePowerDrag(v*t, mass, drag);"}}{SEP_R 90 0}{COM_R
 91 0{TEXT 1 106 "\015(8.31)  We find the maximum sustainable vel
ocities (in m/sec) for the destroyer in the presence of drag.\015
"}}{INP_R 92 0 "> "{TEXT 0 35 "solve(constantPower = maxPower, v)
;"}}{SEP_R 93 0}{COM_R 94 0{TEXT 1 52 "\015We load the \"piecewis
e\" function from the library.\015"}}{INP_R 95 0 "> "{TEXT 0 19 "
readlib(piecewise);"}}{SEP_R 96 0}{COM_R 97 0{TEXT 1 122 "\015(8.
33)  We define a piecewise trajectory in which the destroyer begi
ns at a rest, moves 10,000 meters, and ends at rest.\015"}}{INP_R
 98 0 "> "{TEXT 0 139 "move := piecewise(t < -500, -5000,\012    \+
                              t < 500, 5000*sin(Pi*t/1000),\012  \+
                                5000);"}}{SEP_R 99 0}{COM_R 100 0
{TEXT 1 55 "\015(8.34)  We plot the piecewise trajectory from (8.
33).\015"}}{INP_R 101 0 "> "{TEXT 0 127 "plot(move, t=-600..600,\
012           labels=[`time (seconds)`, `position (meters)`],\012
           title=`A Piecewise Trajectory\033`);"}}{SEP_R 102 0}
{COM_R 103 0{TEXT 1 84 "\015(8.35)  We plot the power required to
 follow the piecewise trajectory from (8.34).\015"}}{INP_R 104 0 
"> "{TEXT 0 194 "plot(makePowerDrag(move, mass, drag)/1e6,\012   \+
         t=-600..600,\012            labels=[`time (seconds)`, `p
ower (megawatts)`],\012            title=`Power Required to Follo
w Piecewise Trajectory`);"}}{SEP_R 105 0}{INP_R 106 0 "> "{TEXT 0
 0 ""}}}{END}
