{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 3 1}{FONT 0 "-adobe-helve
tica-bold-r-normal--*-140-*" "helvetica" "Helvetica-Bold" 8 14 0 
"Helvetica-Bold" 12}{FONT 1 "-adobe-times-medium-r-normal--*-140-
*" "times" "Times-Roman" 4 14 64 "Times-Roman" 12}{FONT 2 "-adobe
-courier-medium-r-normal--*-140-*" "courier" "Courier" 4 14 192 "
Courier" 12}{SCP_R 1 0 12{COM_R 2 0{TEXT 1 132 "This worksheet im
plements the integration package used in Chapter 15 of Introducti
on to Scientific Programming by Joseph L. Zachary."}}{SEP_R 3 0}
{COM_R 4 0{TEXT 1 26 "\015Create an empty package.\015"}}{INP_R 5
 0 "> "{TEXT 0 23 "integration := table();"}}{SEP_R 6 0}{COM_R 7 
0{TEXT 1 237 "\015This animates how the rectangular method conver
ges as it integrages \"integrand\" between \"lo\" and \"hi\".  It
 creates \"nframes\" frames.  In the first there are two rectangl
es, and the number of rectangles doubles in each subsequent frame
.\012"}}{INP_R 8 0 "> "{TEXT 0 911 "integration[animateRectangula
r] := proc (integrand, lo, hi, nframes)\012    local frame,\012  \+
            rect;\012\012    # This creates a plot showing how \"
func\" can be divided\012    # into rectangles.  Each rectangle i
s of width \"step\", there\012    # are \"steps\" rectangles, and
 the range of interest goes from\012    # \"lo\" to \"hi\".\012\0
12    rect := proc (func, step, steps, lo, hi)\012         local \+
n, x, onerect;\012\012         onerect := (h, n, f, lo) ->\012   \+
           ([lo+(n-1)*h, 0], [lo+(n-1)*h, f(lo + n*h)], [lo+n*h, \+
f(lo + n*h)]);\012\012         plot(\{func(x),\012               \+
    [seq(onerect(step, n, func, lo), n=1..steps), [lo+steps*step,
 0]]\},\012                 x=lo..hi);\012    end;\012\012    plo
ts[display]([seq(rect(integrand, (hi-lo)/2^frame, 2^frame, lo, hi
),\012                                frame=1..nframes)],\012    \+
                           insequence=true,\012                  \+
             title=`Rectangular Approximation`);\012end;"}}{SEP_R
 9 0}{COM_R 10 0{TEXT 1 236 "This animates how the trapezoidal me
thod converges as it integrages \"integrand\" between \"lo\" and \+
\"hi\".  It creates \"nframes\" frames.  In the first there are t
wo trapezoids, and the number of rectangles doubles in each subse
quent frame.\012"}}{INP_R 11 0 "> "{TEXT 0 921 "integration[anima
teTrapezoidal] := proc (integrand, lo, hi, nframes)\012   local f
rame,\012             trap;\012\012   # This creates a plot showi
ng how \"func\" can be divided\012   # into trapezoids.  Each tra
pezoid is of width \"step\", there\012   # are \"steps\" trapezoi
ds, and the range of interest goes\012   # from \"lo\" to \"hi\".
\012\012   trap := proc (func, step, steps, lo, hi)\012\012      \+
 local n, x, onetrap;\012\012       onetrap := (h, n, f, lo) ->\0
12           ([lo+(n-1)*h, 0], [lo+(n-1)*h, f(lo + (n-1)*h)], [lo
+n*h, f(lo + n*h)]);\012       \012           plot(\{func(x),\012
                     [seq(onetrap(step, n, func, lo), n=1..steps)
, [lo+steps*step, 0]]\},\012                   x=lo..hi);\012\012
          end;\012\012\012   plots[display]([seq(trap(integrand, \+
(hi-lo)/2^frame, 2^frame, lo, hi),\012                           \+
    frame=1..nframes)],\012                              insequen
ce=true,\012                              title= `Trapezoidal App
roximation`);\012\012end;"}}{SEP_R 12 0}{INP_R 13 0 "> "{TEXT 0 0
 ""}}}{END}
